import { Component, Input, ContentChild, ViewChild, Output, EventEmitter } from '@angular/core';
import { Header, Footer } from 'primeng/primeng';
import { PopupPanelComponent } from './popup-panel.component';

@Component({
  selector: 'of-p-dropdownPanel',
  templateUrl: './dropdown-panel.component.html',
  styleUrls: ['./dropdown-panel.component.scss'],
})
export class DropdownPanelComponent {
  @Input() blockTarget: any;

  @Input() style: any;

  @Input() styleClass: string;

  @Input() headerStyle: any;

  @Input() headerStyleClass: string;

  @Input() footerStyle: any;

  @Input() footerStyleClass: string;

  @ContentChild(Header) headerFacet;

  @ContentChild(Footer) footerFacet;

  @ViewChild('popupPanel') popupPanel: PopupPanelComponent;

  @Output() cancel = new EventEmitter();

  constructor() { }

  hide(): void {
    this.popupPanel.hide();
  }

}
